org.apache.hadoop.yarn.api.protocolrecords

## Class UpdateApplicationPriorityRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UpdateApplicationPriorityRequest
      extends Object

  The request sent by the client to the `ResourceManager` to set or update the application priority.

  The request includes the `ApplicationId` of the application and `Priority` to be set for an application

  See Also:
    `ApplicationClientProtocol.updateApplicationPriority(UpdateApplicationPriorityRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationPriorityRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationId` | `getApplicationId()` Get the `ApplicationId` of the application.
    `abstract Priority` | `getApplicationPriority()` Get the `Priority` of the application to be set.
    `static UpdateApplicationPriorityRequest` | `newInstance(ApplicationId applicationId, Priority priority)`
    `abstract void` | `setApplicationId(ApplicationId applicationId)` Set the `ApplicationId` of the application.
    `abstract void` | `setApplicationPriority(Priority priority)` Set the `Priority` of the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationPriorityRequest

          public UpdateApplicationPriorityRequest()

  - ### Method Detail

    - #### newInstance

          public static UpdateApplicationPriorityRequest newInstance(ApplicationId applicationId,
                                                                     Priority priority)

    - #### getApplicationId

          public abstract ApplicationId getApplicationId()

      Get the `ApplicationId` of the application.
      Returns:
        `ApplicationId` of the application

    - #### setApplicationId

          public abstract void setApplicationId(ApplicationId applicationId)

      Set the `ApplicationId` of the application.
      Parameters:
        `applicationId` - `ApplicationId` of the application

    - #### getApplicationPriority

          public abstract Priority getApplicationPriority()

      Get the `Priority` of the application to be set.
      Returns:
        `Priority` of the application to be set.

    - #### setApplicationPriority

          public abstract void setApplicationPriority(Priority priority)

      Set the `Priority` of the application.
      Parameters:
        `priority` - `Priority` of the application

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.